Katello - Bug #6055

host-collection add-content-host and remove-content-host should take uuids
06/04/2014 12:47 AM - dustin tsang

Status: Closed

Priority: Normal

Assignee: dustin tsang

Category: Hammer

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

bundle exec hammer -v host-collection add-content-host --id 1 --system-id 4923fe7a-f140-4a15-9a98-18a15cf53e12
Could not add content host:
Couldn't find all Katello::Systems with IDs (1, 2, 4923) (found 2 results, but was looking for 3)

Associated revisions

Revision 56191150 - 06/06/2014 04:18 PM - dustin tsang

Fixes #6055 - HC add/remove-content-host take uuid

the host-collection command's --system-id option was accepting database
ids instead of uuids. This uses the
add_host_collections/remove_host_collections action instead of the
AssociatingCommands (which uses the update action). This is a simpler

approach than trying to alter/override the behavior of an
AssociatingCommand to accept uuids.

Revision 471acb33 - 06/06/2014 05:27 PM - dustin tsang

Merge pull request #180 from dustint-rh/hc_rm_associating_commands

Fixes #6055 - HC add/remove-content-host take uuid

History

#1 - 06/04/2014 12:48 AM - dustin tsang

- Subject changed from hostcolleciotns add-content-host and remove-content-host should take uuids to host-collection add-content-host and

remove-content-host should take uuids

#2 - 06/04/2014 12:48 AM - dustin tsang

related to http://projects.theforeman.org/issues/6054

#3 - 06/04/2014 08:17 PM - dustin tsang

https://github.com/Katello/hammer-cli-katello/pull/180 created

#4 - 06/05/2014 03:18 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 06/06/2014 06:06 PM - dustin tsang
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katellojcommit:56191f50255d0eb4edb8f790c03357a05a670de7.

#6 - 06/09/2014 02:48 PM - dustin tsang
http://projects.theforeman.org/issues/6054
https://github.com/Katello/hammer-cli-katello/pull/180

- Target version set to 45

#7 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
